let typingTxt = $('.typing-txt').text();
console.log(`자르기 전 typingTxt ${typingTxt}`);

typingTxt = typingTxt.split("");
console.log(`자른 후 typingTxt ${typingTxt}`);
console.log(typingTxt);

setInterval(function () { typing() }, 200);
// setInterval(typing, 500); 으로 작성해도 됩니다.
// 함수를 매개변수로 사용할 때는 ()를 사용안함

let typingIdx = 0;
// 타이핑 함수정의
function typing() {
    if (typingIdx < typingTxt.length) {
        $('.typing').append(typingTxt[typingIdx]);
        typingIdx++;
    } else {
        setTimeout(function () {
            typingIdx = 0;
            $('.typing').text("");
        }, 200);
    }
}